void normalise() {
  for ( int i = 0; i < numCols-1; i++) {
    for (int j = 0; j < numRows; j++) {
      dataMatrix[i][j] = log(table.getFloat(j, i+1));
    }
  }
  maxCheckouts = max2D(dataMatrix);
  minCheckouts = min2D(dataMatrix);
}

void reset() {
  for ( int i = 0; i < numCols-1; i++) {
    for (int j = 0; j < numRows; j++) {
      dataMatrix[i][j] = (table.getFloat(j,i+1));
    }
  }
  maxCheckouts = max2D(dataMatrix);
  minCheckouts = min2D(dataMatrix);
}